Subject: bug#9728: Incorrect -L flags order for HP-UX

From: Vincent Lefevre <[email-masked]>
Date: Fri, 14 Oct 2011 01:54:51 +0200

On 2011-10-13 18:21:35 -0500, Peter O'Gorman wrote:
> Ok, this is not a libtool bug though. When it can libtool will add the path
> to the .so instead of -L -l for libraries in the build dir. On many systems
> this works, but HP-UX is one of those systems where it does not, so -L -l
> are used instead. This can cause problems when an older version of the
> library is installed in $prefix.

Or perhaps the -L shouldn't be added at all automatically, but should
be specified in the Makefile.am file?

For instance, should -L$(top_builddir)/src/.libs be added to AM_LDFLAGS
in tests/Makefile.am?

Since $(AM_LDFLAGS) appears before $(LDFLAGS) in the LINK command,
this should solve the problem. This -L flag would then be used also
on systems that don't need it, but I don't think this is a problem.

-- 
Vincent Lefèvre <[email-masked]> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)